New Call
GEThttps://{yourserver}/webhooks/call
This webhook is sent when a new call is created on the platform, it is configured at the appplication level
Authentication
Authorizationheader (basic auth, required) — Basic authentication of the formBasic <base64(username:password)>.
Request
Query parameters
call_sidstringa unique identifier for the call.application_sidstringa unique identifier for the Wipple CPaaS application controlling this callaccount_sidstringa unique identifier for the Wipple CPaaS account associated with the applicationdirectionenumthe direction of the call:
•inbound- The call was originated outside Wipple CPaaS
•outbound- The call was originated by Wipple CPaaS- Allowed values:
inbound,outbound fromstringthe calling party numbertostringthe called party numbercaller_namestringthe caller name, if knowncall_statusenumcurrent status of the call:
•trying- a new incoming call has arrived or an outbound call has just been sent
•ringing- a 180 Ringing response has been sent or received
•early-media- an early media connection has been established prior to answering the call (183 Session Progress)
•in-progress- call has been answered
•completed- an answered call has ended
•failed- a call attempt failed
•busy- a call attempt failed because the called party returned a busy status
•no-answer- a call attempt failed because it was not answered in time- Allowed values:
trying,ringing,early-media,in-progress,completed,failed,busy,no-answer sip_statusdoublethe most recent sip status code received or generated for the call
Response
200
Return a 200 containing a JSON payload consisting of an array of Functions
Examples
Request
{}
Response
{}